> ## Documentation Index
> Fetch the complete documentation index at: https://docs.primeintellect.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Batch Get Background Job Statuses

> Get completion status for up to 100 jobs across VM sandboxes.

## Rate Limit

300 requests per 60 seconds per token for each sandbox. Separate ceilings of 30,000 sandbox lookups per 60 seconds per token and 30,000 requests per 60 seconds per IP apply.


## OpenAPI

````yaml https://api.primeintellect.ai/api/v1/sandbox/openapi.json post /api/v1/sandbox/background-jobs/status:batchGet
openapi: 3.1.0
info:
  title: PI API
  version: 0.1.0
servers:
  - url: https://api.primeintellect.ai
security: []
paths:
  /api/v1/sandbox/background-jobs/status:batchGet:
    post:
      tags:
        - Sandbox
      summary: Batch Get Background Job Statuses
      description: Get completion status for up to 100 jobs across VM sandboxes.
      operationId: >-
        batch_get_background_job_statuses_api_v1_sandbox_background_jobs_status_batchGet_post
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/BatchBackgroundJobStatusRequest'
        required: true
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BatchBackgroundJobStatusResponse'
        '401':
          description: Authorization failed
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    BatchBackgroundJobStatusRequest:
      properties:
        jobs:
          items:
            $ref: '#/components/schemas/BackgroundJobStatusRequestItem'
          type: array
          maxItems: 100
          minItems: 1
          title: Jobs
      type: object
      required:
        - jobs
      title: BatchBackgroundJobStatusRequest
    BatchBackgroundJobStatusResponse:
      properties:
        statuses:
          items:
            $ref: '#/components/schemas/BackgroundJobStatusSnapshot'
          type: array
          title: Statuses
        errors:
          items:
            $ref: '#/components/schemas/BackgroundJobStatusLookupError'
          type: array
          title: Errors
      type: object
      required:
        - statuses
        - errors
      title: BatchBackgroundJobStatusResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    BackgroundJobStatusRequestItem:
      properties:
        sandbox_id:
          type: string
          maxLength: 25
          minLength: 24
          pattern: ^[a-z][a-z0-9]{23,24}$
          title: Sandbox Id
        job_id:
          type: string
          pattern: ^[0-9A-Fa-f]{8}$
          title: Job Id
      type: object
      required:
        - sandbox_id
        - job_id
      title: BackgroundJobStatusRequestItem
    BackgroundJobStatusSnapshot:
      properties:
        sandbox_id:
          type: string
          title: Sandbox Id
        job_id:
          type: string
          title: Job Id
        completed:
          type: boolean
          title: Completed
        exit_code:
          anyOf:
            - type: integer
            - type: 'null'
          title: Exit Code
      type: object
      required:
        - sandbox_id
        - job_id
        - completed
      title: BackgroundJobStatusSnapshot
    BackgroundJobStatusLookupError:
      properties:
        sandbox_id:
          type: string
          title: Sandbox Id
        job_id:
          type: string
          title: Job Id
        code:
          type: string
          enum:
            - NOT_FOUND
            - FORBIDDEN
            - MANAGED
            - NOT_VM
            - NOT_RUNNING
            - RUNTIME_ERROR
          title: Code
        message:
          type: string
          title: Message
      type: object
      required:
        - sandbox_id
        - job_id
        - code
        - message
      title: BackgroundJobStatusLookupError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````